Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 201277 - pup should display meaningful errors upon network failures
Summary: pup should display meaningful errors upon network failures
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-08-03 23:09 UTC by Vladimir Kotal
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-11 22:31:12 UTC


Attachments (Terms of Use)
screenshot with pup displaying generic error message (deleted)
2006-08-03 23:14 UTC, Vladimir Kotal
no flags Details

Description Vladimir Kotal 2006-08-03 23:09:46 UTC
Description of problem:
when pup detects an error when initializing it displays message and exits. it
should try do tell what exactly has failed.

Version-Release number of selected component (if applicable):
pirut-1.0.3-0.fc5

How reproducible:
run pup with yum repos with unreachable server

Steps to Reproduce:
1. select some unreachable server for one of the enable yum repos
2. run pup
  
Actual results:
pup will display generic error message

Expected results:
pup should display descriptive error message

Comment 1 Vladimir Kotal 2006-08-03 23:12:43 UTC
pup should display message what yum repo and what server failed, it will be
better than generic error message (see attached screenshot)

Comment 2 Vladimir Kotal 2006-08-03 23:14:27 UTC
Created attachment 133594 [details]
screenshot with pup displaying generic error message

Comment 3 Jeremy Katz 2006-09-11 22:31:12 UTC
Fixed in CVS


Note You need to log in before you can comment on or make changes to this bug.